package com.sztzjy.annotation;

import java.lang.annotation.*;

/**
 * 用于匿名访问配置， 使用时只需在Controller方法上使用此注解即能实现匿名访问
 *
 * @author 陈沅
 */
@Inherited
@Documented
@Target({ElementType.METHOD, ElementType.ANNOTATION_TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface AnonymousAccess {

}