package com.sztzjy.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * stu_base_info
 */
public class StuBaseInfo {
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("公司名称")
    private String corpName;

    @ApiModelProperty("统一社会信用代码")
    private String unSocialCreditCode;

    @ApiModelProperty("法定代表人")
    private String legalRepresent;

    @ApiModelProperty("经营状态")
    private String bussinsssState;

    @ApiModelProperty("成立日期")
    private Date dateOfEstablish;

    @ApiModelProperty("行政区划")
    private String adminDivision;

    @ApiModelProperty("注册资本")
    private String regCapital;

    @ApiModelProperty("实缴资本")
    private String paidUpCapital;

    @ApiModelProperty("企业类型")
    private String enterType;

    @ApiModelProperty("所属行业")
    private String industry;

    @ApiModelProperty("工商注册号")
    private String bussRegNumber;

    @ApiModelProperty("组织机构代码")
    private String orgCode;

    @ApiModelProperty("纳税人识别号")
    private String texIdentifiNumber;

    @ApiModelProperty("纳税人资质")
    private String taxQualification;

    @ApiModelProperty("营业期限")
    private String businessTerm;

    @ApiModelProperty("核准日期")
    private Date dateOfApproval;

    @ApiModelProperty("登记机关")
    private String regAuth;

    @ApiModelProperty("参保人数")
    private String numberOfInsurePerson;

    @ApiModelProperty("注册地址")
    private String companyRegAddress;

    @ApiModelProperty("经营范围")
    private String businessScope;

    @ApiModelProperty("股东名称")
    private String shareholderName;

    @ApiModelProperty("持股比例")
    private String shareholdRatio;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("案例详情")
    private String caseDetail;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName == null ? null : corpName.trim();
    }

    public String getUnSocialCreditCode() {
        return unSocialCreditCode;
    }

    public void setUnSocialCreditCode(String unSocialCreditCode) {
        this.unSocialCreditCode = unSocialCreditCode == null ? null : unSocialCreditCode.trim();
    }

    public String getLegalRepresent() {
        return legalRepresent;
    }

    public void setLegalRepresent(String legalRepresent) {
        this.legalRepresent = legalRepresent == null ? null : legalRepresent.trim();
    }

    public String getBussinsssState() {
        return bussinsssState;
    }

    public void setBussinsssState(String bussinsssState) {
        this.bussinsssState = bussinsssState == null ? null : bussinsssState.trim();
    }

    public Date getDateOfEstablish() {
        return dateOfEstablish;
    }

    public void setDateOfEstablish(Date dateOfEstablish) {
        this.dateOfEstablish = dateOfEstablish;
    }

    public String getAdminDivision() {
        return adminDivision;
    }

    public void setAdminDivision(String adminDivision) {
        this.adminDivision = adminDivision == null ? null : adminDivision.trim();
    }

    public String getRegCapital() {
        return regCapital;
    }

    public void setRegCapital(String regCapital) {
        this.regCapital = regCapital == null ? null : regCapital.trim();
    }

    public String getPaidUpCapital() {
        return paidUpCapital;
    }

    public void setPaidUpCapital(String paidUpCapital) {
        this.paidUpCapital = paidUpCapital == null ? null : paidUpCapital.trim();
    }

    public String getEnterType() {
        return enterType;
    }

    public void setEnterType(String enterType) {
        this.enterType = enterType == null ? null : enterType.trim();
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry == null ? null : industry.trim();
    }

    public String getBussRegNumber() {
        return bussRegNumber;
    }

    public void setBussRegNumber(String bussRegNumber) {
        this.bussRegNumber = bussRegNumber == null ? null : bussRegNumber.trim();
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode == null ? null : orgCode.trim();
    }

    public String getTexIdentifiNumber() {
        return texIdentifiNumber;
    }

    public void setTexIdentifiNumber(String texIdentifiNumber) {
        this.texIdentifiNumber = texIdentifiNumber == null ? null : texIdentifiNumber.trim();
    }

    public String getTaxQualification() {
        return taxQualification;
    }

    public void setTaxQualification(String taxQualification) {
        this.taxQualification = taxQualification == null ? null : taxQualification.trim();
    }

    public String getBusinessTerm() {
        return businessTerm;
    }

    public void setBusinessTerm(String businessTerm) {
        this.businessTerm = businessTerm == null ? null : businessTerm.trim();
    }

    public Date getDateOfApproval() {
        return dateOfApproval;
    }

    public void setDateOfApproval(Date dateOfApproval) {
        this.dateOfApproval = dateOfApproval;
    }

    public String getRegAuth() {
        return regAuth;
    }

    public void setRegAuth(String regAuth) {
        this.regAuth = regAuth == null ? null : regAuth.trim();
    }

    public String getNumberOfInsurePerson() {
        return numberOfInsurePerson;
    }

    public void setNumberOfInsurePerson(String numberOfInsurePerson) {
        this.numberOfInsurePerson = numberOfInsurePerson == null ? null : numberOfInsurePerson.trim();
    }

    public String getCompanyRegAddress() {
        return companyRegAddress;
    }

    public void setCompanyRegAddress(String companyRegAddress) {
        this.companyRegAddress = companyRegAddress == null ? null : companyRegAddress.trim();
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope == null ? null : businessScope.trim();
    }

    public String getShareholderName() {
        return shareholderName;
    }

    public void setShareholderName(String shareholderName) {
        this.shareholderName = shareholderName == null ? null : shareholderName.trim();
    }

    public String getShareholdRatio() {
        return shareholdRatio;
    }

    public void setShareholdRatio(String shareholdRatio) {
        this.shareholdRatio = shareholdRatio == null ? null : shareholdRatio.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCaseDetail() {
        return caseDetail;
    }

    public void setCaseDetail(String caseDetail) {
        this.caseDetail = caseDetail == null ? null : caseDetail.trim();
    }
}