package com.sztzjy.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * stu_user
 */
public class StuUser {
    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("角色权限")
    private String roleId;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("电话")
    private String phone;

    private String collegeId;

    private String collegeName;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("专业")
    private String major;

    @ApiModelProperty("专业ID")
    private String majorId;

    private String majorName;

    @ApiModelProperty("5g成绩")
    private BigDecimal fiveScore;

    @ApiModelProperty("人工智能成绩")
    private BigDecimal artificialIntelligenceScore;

    @ApiModelProperty("大数据成绩")
    private BigDecimal bigDataScore;

    @ApiModelProperty("云计算成绩")
    private BigDecimal cloudComputeScore;

    @ApiModelProperty("物联网成绩")
    private BigDecimal internetOfThingsSocre;

    @ApiModelProperty("虚拟现实成绩")
    private BigDecimal virtualRealitySocre;

    @ApiModelProperty("工业互联网成绩")
    private BigDecimal industrialInternetSocre;

    @ApiModelProperty("数字产业化成绩")
    private BigDecimal digitalIndustryScore;

    @ApiModelProperty("数字产业化排名")
    private Integer digitalIndustryRank;

    @ApiModelProperty("数字化治理成绩")
    private BigDecimal digitalGoverSocre;

    @ApiModelProperty("数字化治理排名")
    private Integer digitalGoverRank;

    @ApiModelProperty("数字贸易成绩")
    private BigDecimal digitalTradeScore;

    @ApiModelProperty("数字金融成绩")
    private BigDecimal digitalFinanceScore;

    @ApiModelProperty("数据价值化成绩")
    private BigDecimal valueDataScore;

    @ApiModelProperty("数据价值化排名")
    private Integer valueDataRank;

    @ApiModelProperty("产业数字化成绩")
    private BigDecimal industryDigitalScore;

    @ApiModelProperty("产业数字化排名")
    private Integer industryDigitalRank;

    @ApiModelProperty("总排名（学校）")
    private Integer totalRank;

    @ApiModelProperty("综合得分（学校）（乘完权重后）")
    private BigDecimal totalScore;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId == null ? null : roleId.trim();
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName == null ? null : schoolName.trim();
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId == null ? null : classId.trim();
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className == null ? null : className.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getCollegeId() {
        return collegeId;
    }

    public void setCollegeId(String collegeId) {
        this.collegeId = collegeId == null ? null : collegeId.trim();
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName == null ? null : collegeName.trim();
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId == null ? null : studentId.trim();
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major == null ? null : major.trim();
    }

    public String getMajorId() {
        return majorId;
    }

    public void setMajorId(String majorId) {
        this.majorId = majorId == null ? null : majorId.trim();
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName == null ? null : majorName.trim();
    }

    public BigDecimal getFiveScore() {
        return fiveScore;
    }

    public void setFiveScore(BigDecimal fiveScore) {
        this.fiveScore = fiveScore;
    }

    public BigDecimal getArtificialIntelligenceScore() {
        return artificialIntelligenceScore;
    }

    public void setArtificialIntelligenceScore(BigDecimal artificialIntelligenceScore) {
        this.artificialIntelligenceScore = artificialIntelligenceScore;
    }

    public BigDecimal getBigDataScore() {
        return bigDataScore;
    }

    public void setBigDataScore(BigDecimal bigDataScore) {
        this.bigDataScore = bigDataScore;
    }

    public BigDecimal getCloudComputeScore() {
        return cloudComputeScore;
    }

    public void setCloudComputeScore(BigDecimal cloudComputeScore) {
        this.cloudComputeScore = cloudComputeScore;
    }

    public BigDecimal getInternetOfThingsSocre() {
        return internetOfThingsSocre;
    }

    public void setInternetOfThingsSocre(BigDecimal internetOfThingsSocre) {
        this.internetOfThingsSocre = internetOfThingsSocre;
    }

    public BigDecimal getVirtualRealitySocre() {
        return virtualRealitySocre;
    }

    public void setVirtualRealitySocre(BigDecimal virtualRealitySocre) {
        this.virtualRealitySocre = virtualRealitySocre;
    }

    public BigDecimal getIndustrialInternetSocre() {
        return industrialInternetSocre;
    }

    public void setIndustrialInternetSocre(BigDecimal industrialInternetSocre) {
        this.industrialInternetSocre = industrialInternetSocre;
    }

    public BigDecimal getDigitalIndustryScore() {
        return digitalIndustryScore;
    }

    public void setDigitalIndustryScore(BigDecimal digitalIndustryScore) {
        this.digitalIndustryScore = digitalIndustryScore;
    }

    public Integer getDigitalIndustryRank() {
        return digitalIndustryRank;
    }

    public void setDigitalIndustryRank(Integer digitalIndustryRank) {
        this.digitalIndustryRank = digitalIndustryRank;
    }

    public BigDecimal getDigitalGoverSocre() {
        return digitalGoverSocre;
    }

    public void setDigitalGoverSocre(BigDecimal digitalGoverSocre) {
        this.digitalGoverSocre = digitalGoverSocre;
    }

    public Integer getDigitalGoverRank() {
        return digitalGoverRank;
    }

    public void setDigitalGoverRank(Integer digitalGoverRank) {
        this.digitalGoverRank = digitalGoverRank;
    }

    public BigDecimal getDigitalTradeScore() {
        return digitalTradeScore;
    }

    public void setDigitalTradeScore(BigDecimal digitalTradeScore) {
        this.digitalTradeScore = digitalTradeScore;
    }

    public BigDecimal getDigitalFinanceScore() {
        return digitalFinanceScore;
    }

    public void setDigitalFinanceScore(BigDecimal digitalFinanceScore) {
        this.digitalFinanceScore = digitalFinanceScore;
    }

    public BigDecimal getValueDataScore() {
        return valueDataScore;
    }

    public void setValueDataScore(BigDecimal valueDataScore) {
        this.valueDataScore = valueDataScore;
    }

    public Integer getValueDataRank() {
        return valueDataRank;
    }

    public void setValueDataRank(Integer valueDataRank) {
        this.valueDataRank = valueDataRank;
    }

    public BigDecimal getIndustryDigitalScore() {
        return industryDigitalScore;
    }

    public void setIndustryDigitalScore(BigDecimal industryDigitalScore) {
        this.industryDigitalScore = industryDigitalScore;
    }

    public Integer getIndustryDigitalRank() {
        return industryDigitalRank;
    }

    public void setIndustryDigitalRank(Integer industryDigitalRank) {
        this.industryDigitalRank = industryDigitalRank;
    }

    public Integer getTotalRank() {
        return totalRank;
    }

    public void setTotalRank(Integer totalRank) {
        this.totalRank = totalRank;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }
}