package com.sztzjy.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class StuUserExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public StuUserExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUsernameIsNull() {
            addCriterion("username is null");
            return (Criteria) this;
        }

        public Criteria andUsernameIsNotNull() {
            addCriterion("username is not null");
            return (Criteria) this;
        }

        public Criteria andUsernameEqualTo(String value) {
            addCriterion("username =", value, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameNotEqualTo(String value) {
            addCriterion("username <>", value, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameGreaterThan(String value) {
            addCriterion("username >", value, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameGreaterThanOrEqualTo(String value) {
            addCriterion("username >=", value, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameLessThan(String value) {
            addCriterion("username <", value, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameLessThanOrEqualTo(String value) {
            addCriterion("username <=", value, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameLike(String value) {
            addCriterion("username like", value, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameNotLike(String value) {
            addCriterion("username not like", value, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameIn(List<String> values) {
            addCriterion("username in", values, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameNotIn(List<String> values) {
            addCriterion("username not in", values, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameBetween(String value1, String value2) {
            addCriterion("username between", value1, value2, "username");
            return (Criteria) this;
        }

        public Criteria andUsernameNotBetween(String value1, String value2) {
            addCriterion("username not between", value1, value2, "username");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNull() {
            addCriterion("password is null");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNotNull() {
            addCriterion("password is not null");
            return (Criteria) this;
        }

        public Criteria andPasswordEqualTo(String value) {
            addCriterion("password =", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotEqualTo(String value) {
            addCriterion("password <>", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThan(String value) {
            addCriterion("password >", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThanOrEqualTo(String value) {
            addCriterion("password >=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThan(String value) {
            addCriterion("password <", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThanOrEqualTo(String value) {
            addCriterion("password <=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLike(String value) {
            addCriterion("password like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotLike(String value) {
            addCriterion("password not like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordIn(List<String> values) {
            addCriterion("password in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotIn(List<String> values) {
            addCriterion("password not in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordBetween(String value1, String value2) {
            addCriterion("password between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotBetween(String value1, String value2) {
            addCriterion("password not between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNull() {
            addCriterion("role_id is null");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNotNull() {
            addCriterion("role_id is not null");
            return (Criteria) this;
        }

        public Criteria andRoleIdEqualTo(String value) {
            addCriterion("role_id =", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotEqualTo(String value) {
            addCriterion("role_id <>", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThan(String value) {
            addCriterion("role_id >", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThanOrEqualTo(String value) {
            addCriterion("role_id >=", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThan(String value) {
            addCriterion("role_id <", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThanOrEqualTo(String value) {
            addCriterion("role_id <=", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLike(String value) {
            addCriterion("role_id like", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotLike(String value) {
            addCriterion("role_id not like", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdIn(List<String> values) {
            addCriterion("role_id in", values, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotIn(List<String> values) {
            addCriterion("role_id not in", values, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdBetween(String value1, String value2) {
            addCriterion("role_id between", value1, value2, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotBetween(String value1, String value2) {
            addCriterion("role_id not between", value1, value2, "roleId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNull() {
            addCriterion("school_id is null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNotNull() {
            addCriterion("school_id is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdEqualTo(String value) {
            addCriterion("school_id =", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotEqualTo(String value) {
            addCriterion("school_id <>", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThan(String value) {
            addCriterion("school_id >", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThanOrEqualTo(String value) {
            addCriterion("school_id >=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThan(String value) {
            addCriterion("school_id <", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThanOrEqualTo(String value) {
            addCriterion("school_id <=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLike(String value) {
            addCriterion("school_id like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotLike(String value) {
            addCriterion("school_id not like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIn(List<String> values) {
            addCriterion("school_id in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotIn(List<String> values) {
            addCriterion("school_id not in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdBetween(String value1, String value2) {
            addCriterion("school_id between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotBetween(String value1, String value2) {
            addCriterion("school_id not between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIsNull() {
            addCriterion("school_name is null");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIsNotNull() {
            addCriterion("school_name is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolNameEqualTo(String value) {
            addCriterion("school_name =", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotEqualTo(String value) {
            addCriterion("school_name <>", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameGreaterThan(String value) {
            addCriterion("school_name >", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameGreaterThanOrEqualTo(String value) {
            addCriterion("school_name >=", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLessThan(String value) {
            addCriterion("school_name <", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLessThanOrEqualTo(String value) {
            addCriterion("school_name <=", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLike(String value) {
            addCriterion("school_name like", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotLike(String value) {
            addCriterion("school_name not like", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIn(List<String> values) {
            addCriterion("school_name in", values, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotIn(List<String> values) {
            addCriterion("school_name not in", values, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameBetween(String value1, String value2) {
            addCriterion("school_name between", value1, value2, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotBetween(String value1, String value2) {
            addCriterion("school_name not between", value1, value2, "schoolName");
            return (Criteria) this;
        }

        public Criteria andClassIdIsNull() {
            addCriterion("class_id is null");
            return (Criteria) this;
        }

        public Criteria andClassIdIsNotNull() {
            addCriterion("class_id is not null");
            return (Criteria) this;
        }

        public Criteria andClassIdEqualTo(String value) {
            addCriterion("class_id =", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotEqualTo(String value) {
            addCriterion("class_id <>", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdGreaterThan(String value) {
            addCriterion("class_id >", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdGreaterThanOrEqualTo(String value) {
            addCriterion("class_id >=", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLessThan(String value) {
            addCriterion("class_id <", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLessThanOrEqualTo(String value) {
            addCriterion("class_id <=", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLike(String value) {
            addCriterion("class_id like", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotLike(String value) {
            addCriterion("class_id not like", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdIn(List<String> values) {
            addCriterion("class_id in", values, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotIn(List<String> values) {
            addCriterion("class_id not in", values, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdBetween(String value1, String value2) {
            addCriterion("class_id between", value1, value2, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotBetween(String value1, String value2) {
            addCriterion("class_id not between", value1, value2, "classId");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNull() {
            addCriterion("class_name is null");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNotNull() {
            addCriterion("class_name is not null");
            return (Criteria) this;
        }

        public Criteria andClassNameEqualTo(String value) {
            addCriterion("class_name =", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotEqualTo(String value) {
            addCriterion("class_name <>", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThan(String value) {
            addCriterion("class_name >", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThanOrEqualTo(String value) {
            addCriterion("class_name >=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThan(String value) {
            addCriterion("class_name <", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThanOrEqualTo(String value) {
            addCriterion("class_name <=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLike(String value) {
            addCriterion("class_name like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotLike(String value) {
            addCriterion("class_name not like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameIn(List<String> values) {
            addCriterion("class_name in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotIn(List<String> values) {
            addCriterion("class_name not in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameBetween(String value1, String value2) {
            addCriterion("class_name between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotBetween(String value1, String value2) {
            addCriterion("class_name not between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNull() {
            addCriterion("phone is null");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNotNull() {
            addCriterion("phone is not null");
            return (Criteria) this;
        }

        public Criteria andPhoneEqualTo(String value) {
            addCriterion("phone =", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotEqualTo(String value) {
            addCriterion("phone <>", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThan(String value) {
            addCriterion("phone >", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("phone >=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThan(String value) {
            addCriterion("phone <", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThanOrEqualTo(String value) {
            addCriterion("phone <=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLike(String value) {
            addCriterion("phone like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotLike(String value) {
            addCriterion("phone not like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneIn(List<String> values) {
            addCriterion("phone in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotIn(List<String> values) {
            addCriterion("phone not in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneBetween(String value1, String value2) {
            addCriterion("phone between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotBetween(String value1, String value2) {
            addCriterion("phone not between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andCollegeIdIsNull() {
            addCriterion("college_id is null");
            return (Criteria) this;
        }

        public Criteria andCollegeIdIsNotNull() {
            addCriterion("college_id is not null");
            return (Criteria) this;
        }

        public Criteria andCollegeIdEqualTo(String value) {
            addCriterion("college_id =", value, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdNotEqualTo(String value) {
            addCriterion("college_id <>", value, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdGreaterThan(String value) {
            addCriterion("college_id >", value, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdGreaterThanOrEqualTo(String value) {
            addCriterion("college_id >=", value, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdLessThan(String value) {
            addCriterion("college_id <", value, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdLessThanOrEqualTo(String value) {
            addCriterion("college_id <=", value, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdLike(String value) {
            addCriterion("college_id like", value, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdNotLike(String value) {
            addCriterion("college_id not like", value, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdIn(List<String> values) {
            addCriterion("college_id in", values, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdNotIn(List<String> values) {
            addCriterion("college_id not in", values, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdBetween(String value1, String value2) {
            addCriterion("college_id between", value1, value2, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeIdNotBetween(String value1, String value2) {
            addCriterion("college_id not between", value1, value2, "collegeId");
            return (Criteria) this;
        }

        public Criteria andCollegeNameIsNull() {
            addCriterion("college_name is null");
            return (Criteria) this;
        }

        public Criteria andCollegeNameIsNotNull() {
            addCriterion("college_name is not null");
            return (Criteria) this;
        }

        public Criteria andCollegeNameEqualTo(String value) {
            addCriterion("college_name =", value, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameNotEqualTo(String value) {
            addCriterion("college_name <>", value, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameGreaterThan(String value) {
            addCriterion("college_name >", value, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameGreaterThanOrEqualTo(String value) {
            addCriterion("college_name >=", value, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameLessThan(String value) {
            addCriterion("college_name <", value, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameLessThanOrEqualTo(String value) {
            addCriterion("college_name <=", value, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameLike(String value) {
            addCriterion("college_name like", value, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameNotLike(String value) {
            addCriterion("college_name not like", value, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameIn(List<String> values) {
            addCriterion("college_name in", values, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameNotIn(List<String> values) {
            addCriterion("college_name not in", values, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameBetween(String value1, String value2) {
            addCriterion("college_name between", value1, value2, "collegeName");
            return (Criteria) this;
        }

        public Criteria andCollegeNameNotBetween(String value1, String value2) {
            addCriterion("college_name not between", value1, value2, "collegeName");
            return (Criteria) this;
        }

        public Criteria andStudentIdIsNull() {
            addCriterion("student_id is null");
            return (Criteria) this;
        }

        public Criteria andStudentIdIsNotNull() {
            addCriterion("student_id is not null");
            return (Criteria) this;
        }

        public Criteria andStudentIdEqualTo(String value) {
            addCriterion("student_id =", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotEqualTo(String value) {
            addCriterion("student_id <>", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdGreaterThan(String value) {
            addCriterion("student_id >", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdGreaterThanOrEqualTo(String value) {
            addCriterion("student_id >=", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLessThan(String value) {
            addCriterion("student_id <", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLessThanOrEqualTo(String value) {
            addCriterion("student_id <=", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLike(String value) {
            addCriterion("student_id like", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotLike(String value) {
            addCriterion("student_id not like", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdIn(List<String> values) {
            addCriterion("student_id in", values, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotIn(List<String> values) {
            addCriterion("student_id not in", values, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdBetween(String value1, String value2) {
            addCriterion("student_id between", value1, value2, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotBetween(String value1, String value2) {
            addCriterion("student_id not between", value1, value2, "studentId");
            return (Criteria) this;
        }

        public Criteria andMajorIsNull() {
            addCriterion("major is null");
            return (Criteria) this;
        }

        public Criteria andMajorIsNotNull() {
            addCriterion("major is not null");
            return (Criteria) this;
        }

        public Criteria andMajorEqualTo(String value) {
            addCriterion("major =", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotEqualTo(String value) {
            addCriterion("major <>", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorGreaterThan(String value) {
            addCriterion("major >", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorGreaterThanOrEqualTo(String value) {
            addCriterion("major >=", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLessThan(String value) {
            addCriterion("major <", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLessThanOrEqualTo(String value) {
            addCriterion("major <=", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLike(String value) {
            addCriterion("major like", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotLike(String value) {
            addCriterion("major not like", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorIn(List<String> values) {
            addCriterion("major in", values, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotIn(List<String> values) {
            addCriterion("major not in", values, "major");
            return (Criteria) this;
        }

        public Criteria andMajorBetween(String value1, String value2) {
            addCriterion("major between", value1, value2, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotBetween(String value1, String value2) {
            addCriterion("major not between", value1, value2, "major");
            return (Criteria) this;
        }

        public Criteria andMajorIdIsNull() {
            addCriterion("major_id is null");
            return (Criteria) this;
        }

        public Criteria andMajorIdIsNotNull() {
            addCriterion("major_id is not null");
            return (Criteria) this;
        }

        public Criteria andMajorIdEqualTo(String value) {
            addCriterion("major_id =", value, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdNotEqualTo(String value) {
            addCriterion("major_id <>", value, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdGreaterThan(String value) {
            addCriterion("major_id >", value, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdGreaterThanOrEqualTo(String value) {
            addCriterion("major_id >=", value, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdLessThan(String value) {
            addCriterion("major_id <", value, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdLessThanOrEqualTo(String value) {
            addCriterion("major_id <=", value, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdLike(String value) {
            addCriterion("major_id like", value, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdNotLike(String value) {
            addCriterion("major_id not like", value, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdIn(List<String> values) {
            addCriterion("major_id in", values, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdNotIn(List<String> values) {
            addCriterion("major_id not in", values, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdBetween(String value1, String value2) {
            addCriterion("major_id between", value1, value2, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorIdNotBetween(String value1, String value2) {
            addCriterion("major_id not between", value1, value2, "majorId");
            return (Criteria) this;
        }

        public Criteria andMajorNameIsNull() {
            addCriterion("major_name is null");
            return (Criteria) this;
        }

        public Criteria andMajorNameIsNotNull() {
            addCriterion("major_name is not null");
            return (Criteria) this;
        }

        public Criteria andMajorNameEqualTo(String value) {
            addCriterion("major_name =", value, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameNotEqualTo(String value) {
            addCriterion("major_name <>", value, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameGreaterThan(String value) {
            addCriterion("major_name >", value, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameGreaterThanOrEqualTo(String value) {
            addCriterion("major_name >=", value, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameLessThan(String value) {
            addCriterion("major_name <", value, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameLessThanOrEqualTo(String value) {
            addCriterion("major_name <=", value, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameLike(String value) {
            addCriterion("major_name like", value, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameNotLike(String value) {
            addCriterion("major_name not like", value, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameIn(List<String> values) {
            addCriterion("major_name in", values, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameNotIn(List<String> values) {
            addCriterion("major_name not in", values, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameBetween(String value1, String value2) {
            addCriterion("major_name between", value1, value2, "majorName");
            return (Criteria) this;
        }

        public Criteria andMajorNameNotBetween(String value1, String value2) {
            addCriterion("major_name not between", value1, value2, "majorName");
            return (Criteria) this;
        }

        public Criteria andFiveScoreIsNull() {
            addCriterion("five_score is null");
            return (Criteria) this;
        }

        public Criteria andFiveScoreIsNotNull() {
            addCriterion("five_score is not null");
            return (Criteria) this;
        }

        public Criteria andFiveScoreEqualTo(BigDecimal value) {
            addCriterion("five_score =", value, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreNotEqualTo(BigDecimal value) {
            addCriterion("five_score <>", value, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreGreaterThan(BigDecimal value) {
            addCriterion("five_score >", value, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("five_score >=", value, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreLessThan(BigDecimal value) {
            addCriterion("five_score <", value, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("five_score <=", value, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreIn(List<BigDecimal> values) {
            addCriterion("five_score in", values, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreNotIn(List<BigDecimal> values) {
            addCriterion("five_score not in", values, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("five_score between", value1, value2, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andFiveScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("five_score not between", value1, value2, "fiveScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreIsNull() {
            addCriterion("artificial_intelligence_score is null");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreIsNotNull() {
            addCriterion("artificial_intelligence_score is not null");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreEqualTo(BigDecimal value) {
            addCriterion("artificial_intelligence_score =", value, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreNotEqualTo(BigDecimal value) {
            addCriterion("artificial_intelligence_score <>", value, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreGreaterThan(BigDecimal value) {
            addCriterion("artificial_intelligence_score >", value, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("artificial_intelligence_score >=", value, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreLessThan(BigDecimal value) {
            addCriterion("artificial_intelligence_score <", value, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("artificial_intelligence_score <=", value, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreIn(List<BigDecimal> values) {
            addCriterion("artificial_intelligence_score in", values, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreNotIn(List<BigDecimal> values) {
            addCriterion("artificial_intelligence_score not in", values, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("artificial_intelligence_score between", value1, value2, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andArtificialIntelligenceScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("artificial_intelligence_score not between", value1, value2, "artificialIntelligenceScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreIsNull() {
            addCriterion("big_data_score is null");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreIsNotNull() {
            addCriterion("big_data_score is not null");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreEqualTo(BigDecimal value) {
            addCriterion("big_data_score =", value, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreNotEqualTo(BigDecimal value) {
            addCriterion("big_data_score <>", value, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreGreaterThan(BigDecimal value) {
            addCriterion("big_data_score >", value, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("big_data_score >=", value, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreLessThan(BigDecimal value) {
            addCriterion("big_data_score <", value, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("big_data_score <=", value, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreIn(List<BigDecimal> values) {
            addCriterion("big_data_score in", values, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreNotIn(List<BigDecimal> values) {
            addCriterion("big_data_score not in", values, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("big_data_score between", value1, value2, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andBigDataScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("big_data_score not between", value1, value2, "bigDataScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreIsNull() {
            addCriterion("cloud_compute_score is null");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreIsNotNull() {
            addCriterion("cloud_compute_score is not null");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreEqualTo(BigDecimal value) {
            addCriterion("cloud_compute_score =", value, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreNotEqualTo(BigDecimal value) {
            addCriterion("cloud_compute_score <>", value, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreGreaterThan(BigDecimal value) {
            addCriterion("cloud_compute_score >", value, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cloud_compute_score >=", value, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreLessThan(BigDecimal value) {
            addCriterion("cloud_compute_score <", value, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cloud_compute_score <=", value, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreIn(List<BigDecimal> values) {
            addCriterion("cloud_compute_score in", values, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreNotIn(List<BigDecimal> values) {
            addCriterion("cloud_compute_score not in", values, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cloud_compute_score between", value1, value2, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andCloudComputeScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cloud_compute_score not between", value1, value2, "cloudComputeScore");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreIsNull() {
            addCriterion("internet_of_things_socre is null");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreIsNotNull() {
            addCriterion("internet_of_things_socre is not null");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreEqualTo(BigDecimal value) {
            addCriterion("internet_of_things_socre =", value, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreNotEqualTo(BigDecimal value) {
            addCriterion("internet_of_things_socre <>", value, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreGreaterThan(BigDecimal value) {
            addCriterion("internet_of_things_socre >", value, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("internet_of_things_socre >=", value, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreLessThan(BigDecimal value) {
            addCriterion("internet_of_things_socre <", value, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("internet_of_things_socre <=", value, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreIn(List<BigDecimal> values) {
            addCriterion("internet_of_things_socre in", values, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreNotIn(List<BigDecimal> values) {
            addCriterion("internet_of_things_socre not in", values, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("internet_of_things_socre between", value1, value2, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andInternetOfThingsSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("internet_of_things_socre not between", value1, value2, "internetOfThingsSocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreIsNull() {
            addCriterion("virtual_reality_socre is null");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreIsNotNull() {
            addCriterion("virtual_reality_socre is not null");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreEqualTo(BigDecimal value) {
            addCriterion("virtual_reality_socre =", value, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreNotEqualTo(BigDecimal value) {
            addCriterion("virtual_reality_socre <>", value, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreGreaterThan(BigDecimal value) {
            addCriterion("virtual_reality_socre >", value, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("virtual_reality_socre >=", value, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreLessThan(BigDecimal value) {
            addCriterion("virtual_reality_socre <", value, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("virtual_reality_socre <=", value, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreIn(List<BigDecimal> values) {
            addCriterion("virtual_reality_socre in", values, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreNotIn(List<BigDecimal> values) {
            addCriterion("virtual_reality_socre not in", values, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("virtual_reality_socre between", value1, value2, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andVirtualRealitySocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("virtual_reality_socre not between", value1, value2, "virtualRealitySocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreIsNull() {
            addCriterion("industrial_internet_socre is null");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreIsNotNull() {
            addCriterion("industrial_internet_socre is not null");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreEqualTo(BigDecimal value) {
            addCriterion("industrial_internet_socre =", value, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreNotEqualTo(BigDecimal value) {
            addCriterion("industrial_internet_socre <>", value, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreGreaterThan(BigDecimal value) {
            addCriterion("industrial_internet_socre >", value, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("industrial_internet_socre >=", value, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreLessThan(BigDecimal value) {
            addCriterion("industrial_internet_socre <", value, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("industrial_internet_socre <=", value, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreIn(List<BigDecimal> values) {
            addCriterion("industrial_internet_socre in", values, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreNotIn(List<BigDecimal> values) {
            addCriterion("industrial_internet_socre not in", values, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("industrial_internet_socre between", value1, value2, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andIndustrialInternetSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("industrial_internet_socre not between", value1, value2, "industrialInternetSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreIsNull() {
            addCriterion("digital_industry_score is null");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreIsNotNull() {
            addCriterion("digital_industry_score is not null");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreEqualTo(BigDecimal value) {
            addCriterion("digital_industry_score =", value, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreNotEqualTo(BigDecimal value) {
            addCriterion("digital_industry_score <>", value, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreGreaterThan(BigDecimal value) {
            addCriterion("digital_industry_score >", value, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_industry_score >=", value, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreLessThan(BigDecimal value) {
            addCriterion("digital_industry_score <", value, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_industry_score <=", value, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreIn(List<BigDecimal> values) {
            addCriterion("digital_industry_score in", values, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreNotIn(List<BigDecimal> values) {
            addCriterion("digital_industry_score not in", values, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_industry_score between", value1, value2, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_industry_score not between", value1, value2, "digitalIndustryScore");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankIsNull() {
            addCriterion("digital_industry_rank is null");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankIsNotNull() {
            addCriterion("digital_industry_rank is not null");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankEqualTo(Integer value) {
            addCriterion("digital_industry_rank =", value, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankNotEqualTo(Integer value) {
            addCriterion("digital_industry_rank <>", value, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankGreaterThan(Integer value) {
            addCriterion("digital_industry_rank >", value, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("digital_industry_rank >=", value, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankLessThan(Integer value) {
            addCriterion("digital_industry_rank <", value, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankLessThanOrEqualTo(Integer value) {
            addCriterion("digital_industry_rank <=", value, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankIn(List<Integer> values) {
            addCriterion("digital_industry_rank in", values, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankNotIn(List<Integer> values) {
            addCriterion("digital_industry_rank not in", values, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankBetween(Integer value1, Integer value2) {
            addCriterion("digital_industry_rank between", value1, value2, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalIndustryRankNotBetween(Integer value1, Integer value2) {
            addCriterion("digital_industry_rank not between", value1, value2, "digitalIndustryRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreIsNull() {
            addCriterion("digital_gover_socre is null");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreIsNotNull() {
            addCriterion("digital_gover_socre is not null");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreEqualTo(BigDecimal value) {
            addCriterion("digital_gover_socre =", value, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreNotEqualTo(BigDecimal value) {
            addCriterion("digital_gover_socre <>", value, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreGreaterThan(BigDecimal value) {
            addCriterion("digital_gover_socre >", value, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_gover_socre >=", value, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreLessThan(BigDecimal value) {
            addCriterion("digital_gover_socre <", value, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_gover_socre <=", value, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreIn(List<BigDecimal> values) {
            addCriterion("digital_gover_socre in", values, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreNotIn(List<BigDecimal> values) {
            addCriterion("digital_gover_socre not in", values, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_gover_socre between", value1, value2, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_gover_socre not between", value1, value2, "digitalGoverSocre");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankIsNull() {
            addCriterion("digital_gover_rank is null");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankIsNotNull() {
            addCriterion("digital_gover_rank is not null");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankEqualTo(Integer value) {
            addCriterion("digital_gover_rank =", value, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankNotEqualTo(Integer value) {
            addCriterion("digital_gover_rank <>", value, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankGreaterThan(Integer value) {
            addCriterion("digital_gover_rank >", value, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("digital_gover_rank >=", value, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankLessThan(Integer value) {
            addCriterion("digital_gover_rank <", value, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankLessThanOrEqualTo(Integer value) {
            addCriterion("digital_gover_rank <=", value, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankIn(List<Integer> values) {
            addCriterion("digital_gover_rank in", values, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankNotIn(List<Integer> values) {
            addCriterion("digital_gover_rank not in", values, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankBetween(Integer value1, Integer value2) {
            addCriterion("digital_gover_rank between", value1, value2, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalGoverRankNotBetween(Integer value1, Integer value2) {
            addCriterion("digital_gover_rank not between", value1, value2, "digitalGoverRank");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreIsNull() {
            addCriterion("digital_trade_score is null");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreIsNotNull() {
            addCriterion("digital_trade_score is not null");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreEqualTo(BigDecimal value) {
            addCriterion("digital_trade_score =", value, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreNotEqualTo(BigDecimal value) {
            addCriterion("digital_trade_score <>", value, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreGreaterThan(BigDecimal value) {
            addCriterion("digital_trade_score >", value, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_trade_score >=", value, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreLessThan(BigDecimal value) {
            addCriterion("digital_trade_score <", value, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_trade_score <=", value, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreIn(List<BigDecimal> values) {
            addCriterion("digital_trade_score in", values, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreNotIn(List<BigDecimal> values) {
            addCriterion("digital_trade_score not in", values, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_trade_score between", value1, value2, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalTradeScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_trade_score not between", value1, value2, "digitalTradeScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreIsNull() {
            addCriterion("digital_finance_score is null");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreIsNotNull() {
            addCriterion("digital_finance_score is not null");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreEqualTo(BigDecimal value) {
            addCriterion("digital_finance_score =", value, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreNotEqualTo(BigDecimal value) {
            addCriterion("digital_finance_score <>", value, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreGreaterThan(BigDecimal value) {
            addCriterion("digital_finance_score >", value, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_finance_score >=", value, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreLessThan(BigDecimal value) {
            addCriterion("digital_finance_score <", value, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_finance_score <=", value, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreIn(List<BigDecimal> values) {
            addCriterion("digital_finance_score in", values, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreNotIn(List<BigDecimal> values) {
            addCriterion("digital_finance_score not in", values, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_finance_score between", value1, value2, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andDigitalFinanceScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_finance_score not between", value1, value2, "digitalFinanceScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreIsNull() {
            addCriterion("value_data_score is null");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreIsNotNull() {
            addCriterion("value_data_score is not null");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreEqualTo(BigDecimal value) {
            addCriterion("value_data_score =", value, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreNotEqualTo(BigDecimal value) {
            addCriterion("value_data_score <>", value, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreGreaterThan(BigDecimal value) {
            addCriterion("value_data_score >", value, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("value_data_score >=", value, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreLessThan(BigDecimal value) {
            addCriterion("value_data_score <", value, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("value_data_score <=", value, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreIn(List<BigDecimal> values) {
            addCriterion("value_data_score in", values, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreNotIn(List<BigDecimal> values) {
            addCriterion("value_data_score not in", values, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("value_data_score between", value1, value2, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("value_data_score not between", value1, value2, "valueDataScore");
            return (Criteria) this;
        }

        public Criteria andValueDataRankIsNull() {
            addCriterion("value_data_rank is null");
            return (Criteria) this;
        }

        public Criteria andValueDataRankIsNotNull() {
            addCriterion("value_data_rank is not null");
            return (Criteria) this;
        }

        public Criteria andValueDataRankEqualTo(Integer value) {
            addCriterion("value_data_rank =", value, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankNotEqualTo(Integer value) {
            addCriterion("value_data_rank <>", value, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankGreaterThan(Integer value) {
            addCriterion("value_data_rank >", value, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("value_data_rank >=", value, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankLessThan(Integer value) {
            addCriterion("value_data_rank <", value, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankLessThanOrEqualTo(Integer value) {
            addCriterion("value_data_rank <=", value, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankIn(List<Integer> values) {
            addCriterion("value_data_rank in", values, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankNotIn(List<Integer> values) {
            addCriterion("value_data_rank not in", values, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankBetween(Integer value1, Integer value2) {
            addCriterion("value_data_rank between", value1, value2, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andValueDataRankNotBetween(Integer value1, Integer value2) {
            addCriterion("value_data_rank not between", value1, value2, "valueDataRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreIsNull() {
            addCriterion("industry_digital_score is null");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreIsNotNull() {
            addCriterion("industry_digital_score is not null");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreEqualTo(BigDecimal value) {
            addCriterion("industry_digital_score =", value, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreNotEqualTo(BigDecimal value) {
            addCriterion("industry_digital_score <>", value, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreGreaterThan(BigDecimal value) {
            addCriterion("industry_digital_score >", value, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("industry_digital_score >=", value, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreLessThan(BigDecimal value) {
            addCriterion("industry_digital_score <", value, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("industry_digital_score <=", value, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreIn(List<BigDecimal> values) {
            addCriterion("industry_digital_score in", values, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreNotIn(List<BigDecimal> values) {
            addCriterion("industry_digital_score not in", values, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("industry_digital_score between", value1, value2, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("industry_digital_score not between", value1, value2, "industryDigitalScore");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankIsNull() {
            addCriterion("industry_digital_rank is null");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankIsNotNull() {
            addCriterion("industry_digital_rank is not null");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankEqualTo(Integer value) {
            addCriterion("industry_digital_rank =", value, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankNotEqualTo(Integer value) {
            addCriterion("industry_digital_rank <>", value, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankGreaterThan(Integer value) {
            addCriterion("industry_digital_rank >", value, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("industry_digital_rank >=", value, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankLessThan(Integer value) {
            addCriterion("industry_digital_rank <", value, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankLessThanOrEqualTo(Integer value) {
            addCriterion("industry_digital_rank <=", value, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankIn(List<Integer> values) {
            addCriterion("industry_digital_rank in", values, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankNotIn(List<Integer> values) {
            addCriterion("industry_digital_rank not in", values, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankBetween(Integer value1, Integer value2) {
            addCriterion("industry_digital_rank between", value1, value2, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andIndustryDigitalRankNotBetween(Integer value1, Integer value2) {
            addCriterion("industry_digital_rank not between", value1, value2, "industryDigitalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankIsNull() {
            addCriterion("total_rank is null");
            return (Criteria) this;
        }

        public Criteria andTotalRankIsNotNull() {
            addCriterion("total_rank is not null");
            return (Criteria) this;
        }

        public Criteria andTotalRankEqualTo(Integer value) {
            addCriterion("total_rank =", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotEqualTo(Integer value) {
            addCriterion("total_rank <>", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankGreaterThan(Integer value) {
            addCriterion("total_rank >", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("total_rank >=", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankLessThan(Integer value) {
            addCriterion("total_rank <", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankLessThanOrEqualTo(Integer value) {
            addCriterion("total_rank <=", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankIn(List<Integer> values) {
            addCriterion("total_rank in", values, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotIn(List<Integer> values) {
            addCriterion("total_rank not in", values, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankBetween(Integer value1, Integer value2) {
            addCriterion("total_rank between", value1, value2, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotBetween(Integer value1, Integer value2) {
            addCriterion("total_rank not between", value1, value2, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNull() {
            addCriterion("total_score is null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNotNull() {
            addCriterion("total_score is not null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreEqualTo(BigDecimal value) {
            addCriterion("total_score =", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotEqualTo(BigDecimal value) {
            addCriterion("total_score <>", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThan(BigDecimal value) {
            addCriterion("total_score >", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score >=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThan(BigDecimal value) {
            addCriterion("total_score <", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score <=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIn(List<BigDecimal> values) {
            addCriterion("total_score in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotIn(List<BigDecimal> values) {
            addCriterion("total_score not in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score between", value1, value2, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score not between", value1, value2, "totalScore");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}